
package nc.vo.hrkq.monthottime;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.hrkq.monthottime.MonthOtTimeVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.hrkq.monthottime.MonthOtTimeVO")
public class AggMonthOtTimeVO extends AbstractBill {

@Override
public IBillMeta getMetaData() {
IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
AggMonthOtTimeVOMeta.class);
return billMeta;
}

@Override
public MonthOtTimeVO getParentVO() {
return (MonthOtTimeVO) this.getParent();
}

@Override
public String getPrimaryKey() {
return super.getPrimaryKey();
}
}
